<?php

// @codingStandardsIgnoreFile

/* @var $block \Cordial\Sync\Block\Html\Loader */

if ($block->isEnable()): 
  $events = $block->getJsEvent();
?>

<div data-bind="scope: 'cordial'">
    <div data-bind="html: events().data"><?php echo $events; ?></div>
</div>

<?php if (!in_array($block->getRequest()->getFullActionName(), ['checkout_index_index', 'checkout_onepage_success'])): ?>
<script type="text/x-magento-init">
        {
            "*": {
                "Magento_Ui/js/core/app": {
                    "components": {
                        "cordial": {
                            "component": "Cordial_Sync/js/cordial-events"
                        }
                    }
                }
            }
        }
</script>
<?php endif; ?>
<?php endif; ?>
